microsoft-foundry.rest.security.o-auth2-auth
Checkpoints
Get checkpoint info
GET
/fine_tuning/sessions/{sessionId}/checkpoints/{checkpointId}
Get metadata for a specific checkpoint.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
FineTuningSessions=V1Preview
Path parameters
sessionId
string
required
Identifier of the fine-tuning session containing the checkpoint.
checkpointId
string
required
Identifier of the checkpoint to retrieve.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
base_model
string
required
Base model from which the checkpoint was created.
is_lora
boolean
required
Whether the checkpoint contains a LoRA adapter.
lora_rank
integer | null
LoRA rank of the checkpoint, if applicable.
Request
GET /fine_tuning/sessions/{sessionId}/checkpoints/{checkpointId} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json